aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--debian/dirs5
-rw-r--r--debian/zinc-python.postinst22
-rw-r--r--debian/zinc-python.prerm11
3 files changed, 38 insertions, 0 deletions
diff --git a/debian/dirs b/debian/dirs
new file mode 100644
index 0000000..92d2448
--- /dev/null
+++ b/debian/dirs
@@ -0,0 +1,5 @@
+usr/lib/python1.5/site-packages
+usr/doc/xradar3-tk/examples
+usr/doc/xradar3-perl/examples
+usr/include
+usr/man/man3
diff --git a/debian/zinc-python.postinst b/debian/zinc-python.postinst
new file mode 100644
index 0000000..8e6fcbb
--- /dev/null
+++ b/debian/zinc-python.postinst
@@ -0,0 +1,22 @@
+#! /bin/bash -e
+#
+# Debian postinst script for Python 1.5 hierarchical modules
+# Written by Gregor Hoffleit <flight@debian.org>
+#
+
+NAME=python-xradar3
+DIRLIST="/usr/lib/python1.5/site-packages"
+
+case "$1" in
+ configure|abort-upgrade|abort-remove|abort-deconfigure)
+ for i in $DIRLIST ; do
+ python -O /usr/lib/python1.5/compileall.py -q $i
+ python /usr/lib/python1.5/compileall.py -q $i
+ done
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
diff --git a/debian/zinc-python.prerm b/debian/zinc-python.prerm
new file mode 100644
index 0000000..caac61f
--- /dev/null
+++ b/debian/zinc-python.prerm
@@ -0,0 +1,11 @@
+#! /bin/bash -e
+#
+# Debian prerm script for Python 1.5 hierarchical modules
+# Written by Gregor Hoffleit <flight@debian.org>
+#
+
+NAME=python-xradar3
+
+dpkg --listfiles $NAME |
+ awk '$0~/\.py$/ {print $0"c\n" $0"o"}' |
+ xargs rm -f >&2